Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
112.0.0.0
Broadcast address
115.255.255.255
First usable
112.0.0.1
Last usable
115.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 70000000 · Integer 1879048192 to 1946157055
Reverse DNS zones
112.in-addr.arpa
113.in-addr.arpa
114.in-addr.arpa
115.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.00000000.00000000.00000000112.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01110000.00000000.00000000.00000000112.0.0.0
Broadcast01110011.11111111.11111111.11111111115.255.255.255
Split into smaller subnets/14

112.0.0.0/6 makes 256 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.0.0.0/14112.0.0.1 to 112.3.255.254112.3.255.255262,142
2112.4.0.0/14112.4.0.1 to 112.7.255.254112.7.255.255262,142
3112.8.0.0/14112.8.0.1 to 112.11.255.254112.11.255.255262,142
4112.12.0.0/14112.12.0.1 to 112.15.255.254112.15.255.255262,142
5112.16.0.0/14112.16.0.1 to 112.19.255.254112.19.255.255262,142
6112.20.0.0/14112.20.0.1 to 112.23.255.254112.23.255.255262,142
7112.24.0.0/14112.24.0.1 to 112.27.255.254112.27.255.255262,142
8112.28.0.0/14112.28.0.1 to 112.31.255.254112.31.255.255262,142
9112.32.0.0/14112.32.0.1 to 112.35.255.254112.35.255.255262,142
10112.36.0.0/14112.36.0.1 to 112.39.255.254112.39.255.255262,142
11112.40.0.0/14112.40.0.1 to 112.43.255.254112.43.255.255262,142
12112.44.0.0/14112.44.0.1 to 112.47.255.254112.47.255.255262,142
13112.48.0.0/14112.48.0.1 to 112.51.255.254112.51.255.255262,142
14112.52.0.0/14112.52.0.1 to 112.55.255.254112.55.255.255262,142
15112.56.0.0/14112.56.0.1 to 112.59.255.254112.59.255.255262,142
16112.60.0.0/14112.60.0.1 to 112.63.255.254112.63.255.255262,142
17112.64.0.0/14112.64.0.1 to 112.67.255.254112.67.255.255262,142
18112.68.0.0/14112.68.0.1 to 112.71.255.254112.71.255.255262,142
19112.72.0.0/14112.72.0.1 to 112.75.255.254112.75.255.255262,142
20112.76.0.0/14112.76.0.1 to 112.79.255.254112.79.255.255262,142
21112.80.0.0/14112.80.0.1 to 112.83.255.254112.83.255.255262,142
22112.84.0.0/14112.84.0.1 to 112.87.255.254112.87.255.255262,142
23112.88.0.0/14112.88.0.1 to 112.91.255.254112.91.255.255262,142
24112.92.0.0/14112.92.0.1 to 112.95.255.254112.95.255.255262,142
25112.96.0.0/14112.96.0.1 to 112.99.255.254112.99.255.255262,142
26112.100.0.0/14112.100.0.1 to 112.103.255.254112.103.255.255262,142
27112.104.0.0/14112.104.0.1 to 112.107.255.254112.107.255.255262,142
28112.108.0.0/14112.108.0.1 to 112.111.255.254112.111.255.255262,142
29112.112.0.0/14112.112.0.1 to 112.115.255.254112.115.255.255262,142
30112.116.0.0/14112.116.0.1 to 112.119.255.254112.119.255.255262,142
31112.120.0.0/14112.120.0.1 to 112.123.255.254112.123.255.255262,142
32112.124.0.0/14112.124.0.1 to 112.127.255.254112.127.255.255262,142
33112.128.0.0/14112.128.0.1 to 112.131.255.254112.131.255.255262,142
34112.132.0.0/14112.132.0.1 to 112.135.255.254112.135.255.255262,142
35112.136.0.0/14112.136.0.1 to 112.139.255.254112.139.255.255262,142
36112.140.0.0/14112.140.0.1 to 112.143.255.254112.143.255.255262,142
37112.144.0.0/14112.144.0.1 to 112.147.255.254112.147.255.255262,142
38112.148.0.0/14112.148.0.1 to 112.151.255.254112.151.255.255262,142
39112.152.0.0/14112.152.0.1 to 112.155.255.254112.155.255.255262,142
40112.156.0.0/14112.156.0.1 to 112.159.255.254112.159.255.255262,142
41112.160.0.0/14112.160.0.1 to 112.163.255.254112.163.255.255262,142
42112.164.0.0/14112.164.0.1 to 112.167.255.254112.167.255.255262,142
43112.168.0.0/14112.168.0.1 to 112.171.255.254112.171.255.255262,142
44112.172.0.0/14112.172.0.1 to 112.175.255.254112.175.255.255262,142
45112.176.0.0/14112.176.0.1 to 112.179.255.254112.179.255.255262,142
46112.180.0.0/14112.180.0.1 to 112.183.255.254112.183.255.255262,142
47112.184.0.0/14112.184.0.1 to 112.187.255.254112.187.255.255262,142
48112.188.0.0/14112.188.0.1 to 112.191.255.254112.191.255.255262,142
49112.192.0.0/14112.192.0.1 to 112.195.255.254112.195.255.255262,142
50112.196.0.0/14112.196.0.1 to 112.199.255.254112.199.255.255262,142
51112.200.0.0/14112.200.0.1 to 112.203.255.254112.203.255.255262,142
52112.204.0.0/14112.204.0.1 to 112.207.255.254112.207.255.255262,142
53112.208.0.0/14112.208.0.1 to 112.211.255.254112.211.255.255262,142
54112.212.0.0/14112.212.0.1 to 112.215.255.254112.215.255.255262,142
55112.216.0.0/14112.216.0.1 to 112.219.255.254112.219.255.255262,142
56112.220.0.0/14112.220.0.1 to 112.223.255.254112.223.255.255262,142
57112.224.0.0/14112.224.0.1 to 112.227.255.254112.227.255.255262,142
58112.228.0.0/14112.228.0.1 to 112.231.255.254112.231.255.255262,142
59112.232.0.0/14112.232.0.1 to 112.235.255.254112.235.255.255262,142
60112.236.0.0/14112.236.0.1 to 112.239.255.254112.239.255.255262,142
61112.240.0.0/14112.240.0.1 to 112.243.255.254112.243.255.255262,142
62112.244.0.0/14112.244.0.1 to 112.247.255.254112.247.255.255262,142
63112.248.0.0/14112.248.0.1 to 112.251.255.254112.251.255.255262,142
64112.252.0.0/14112.252.0.1 to 112.255.255.254112.255.255.255262,142
65113.0.0.0/14113.0.0.1 to 113.3.255.254113.3.255.255262,142
66113.4.0.0/14113.4.0.1 to 113.7.255.254113.7.255.255262,142
67113.8.0.0/14113.8.0.1 to 113.11.255.254113.11.255.255262,142
68113.12.0.0/14113.12.0.1 to 113.15.255.254113.15.255.255262,142
69113.16.0.0/14113.16.0.1 to 113.19.255.254113.19.255.255262,142
70113.20.0.0/14113.20.0.1 to 113.23.255.254113.23.255.255262,142
71113.24.0.0/14113.24.0.1 to 113.27.255.254113.27.255.255262,142
72113.28.0.0/14113.28.0.1 to 113.31.255.254113.31.255.255262,142
73113.32.0.0/14113.32.0.1 to 113.35.255.254113.35.255.255262,142
74113.36.0.0/14113.36.0.1 to 113.39.255.254113.39.255.255262,142
75113.40.0.0/14113.40.0.1 to 113.43.255.254113.43.255.255262,142
76113.44.0.0/14113.44.0.1 to 113.47.255.254113.47.255.255262,142
77113.48.0.0/14113.48.0.1 to 113.51.255.254113.51.255.255262,142
78113.52.0.0/14113.52.0.1 to 113.55.255.254113.55.255.255262,142
79113.56.0.0/14113.56.0.1 to 113.59.255.254113.59.255.255262,142
80113.60.0.0/14113.60.0.1 to 113.63.255.254113.63.255.255262,142
81113.64.0.0/14113.64.0.1 to 113.67.255.254113.67.255.255262,142
82113.68.0.0/14113.68.0.1 to 113.71.255.254113.71.255.255262,142
83113.72.0.0/14113.72.0.1 to 113.75.255.254113.75.255.255262,142
84113.76.0.0/14113.76.0.1 to 113.79.255.254113.79.255.255262,142
85113.80.0.0/14113.80.0.1 to 113.83.255.254113.83.255.255262,142
86113.84.0.0/14113.84.0.1 to 113.87.255.254113.87.255.255262,142
87113.88.0.0/14113.88.0.1 to 113.91.255.254113.91.255.255262,142
88113.92.0.0/14113.92.0.1 to 113.95.255.254113.95.255.255262,142
89113.96.0.0/14113.96.0.1 to 113.99.255.254113.99.255.255262,142
90113.100.0.0/14113.100.0.1 to 113.103.255.254113.103.255.255262,142
91113.104.0.0/14113.104.0.1 to 113.107.255.254113.107.255.255262,142
92113.108.0.0/14113.108.0.1 to 113.111.255.254113.111.255.255262,142
93113.112.0.0/14113.112.0.1 to 113.115.255.254113.115.255.255262,142
94113.116.0.0/14113.116.0.1 to 113.119.255.254113.119.255.255262,142
95113.120.0.0/14113.120.0.1 to 113.123.255.254113.123.255.255262,142
96113.124.0.0/14113.124.0.1 to 113.127.255.254113.127.255.255262,142
97113.128.0.0/14113.128.0.1 to 113.131.255.254113.131.255.255262,142
98113.132.0.0/14113.132.0.1 to 113.135.255.254113.135.255.255262,142
99113.136.0.0/14113.136.0.1 to 113.139.255.254113.139.255.255262,142
100113.140.0.0/14113.140.0.1 to 113.143.255.254113.143.255.255262,142
101113.144.0.0/14113.144.0.1 to 113.147.255.254113.147.255.255262,142
102113.148.0.0/14113.148.0.1 to 113.151.255.254113.151.255.255262,142
103113.152.0.0/14113.152.0.1 to 113.155.255.254113.155.255.255262,142
104113.156.0.0/14113.156.0.1 to 113.159.255.254113.159.255.255262,142
105113.160.0.0/14113.160.0.1 to 113.163.255.254113.163.255.255262,142
106113.164.0.0/14113.164.0.1 to 113.167.255.254113.167.255.255262,142
107113.168.0.0/14113.168.0.1 to 113.171.255.254113.171.255.255262,142
108113.172.0.0/14113.172.0.1 to 113.175.255.254113.175.255.255262,142
109113.176.0.0/14113.176.0.1 to 113.179.255.254113.179.255.255262,142
110113.180.0.0/14113.180.0.1 to 113.183.255.254113.183.255.255262,142
111113.184.0.0/14113.184.0.1 to 113.187.255.254113.187.255.255262,142
112113.188.0.0/14113.188.0.1 to 113.191.255.254113.191.255.255262,142
113113.192.0.0/14113.192.0.1 to 113.195.255.254113.195.255.255262,142
114113.196.0.0/14113.196.0.1 to 113.199.255.254113.199.255.255262,142
115113.200.0.0/14113.200.0.1 to 113.203.255.254113.203.255.255262,142
116113.204.0.0/14113.204.0.1 to 113.207.255.254113.207.255.255262,142
117113.208.0.0/14113.208.0.1 to 113.211.255.254113.211.255.255262,142
118113.212.0.0/14113.212.0.1 to 113.215.255.254113.215.255.255262,142
119113.216.0.0/14113.216.0.1 to 113.219.255.254113.219.255.255262,142
120113.220.0.0/14113.220.0.1 to 113.223.255.254113.223.255.255262,142
121113.224.0.0/14113.224.0.1 to 113.227.255.254113.227.255.255262,142
122113.228.0.0/14113.228.0.1 to 113.231.255.254113.231.255.255262,142
123113.232.0.0/14113.232.0.1 to 113.235.255.254113.235.255.255262,142
124113.236.0.0/14113.236.0.1 to 113.239.255.254113.239.255.255262,142
125113.240.0.0/14113.240.0.1 to 113.243.255.254113.243.255.255262,142
126113.244.0.0/14113.244.0.1 to 113.247.255.254113.247.255.255262,142
127113.248.0.0/14113.248.0.1 to 113.251.255.254113.251.255.255262,142
128113.252.0.0/14113.252.0.1 to 113.255.255.254113.255.255.255262,142
129114.0.0.0/14114.0.0.1 to 114.3.255.254114.3.255.255262,142
130114.4.0.0/14114.4.0.1 to 114.7.255.254114.7.255.255262,142
131114.8.0.0/14114.8.0.1 to 114.11.255.254114.11.255.255262,142
132114.12.0.0/14114.12.0.1 to 114.15.255.254114.15.255.255262,142
133114.16.0.0/14114.16.0.1 to 114.19.255.254114.19.255.255262,142
134114.20.0.0/14114.20.0.1 to 114.23.255.254114.23.255.255262,142
135114.24.0.0/14114.24.0.1 to 114.27.255.254114.27.255.255262,142
136114.28.0.0/14114.28.0.1 to 114.31.255.254114.31.255.255262,142
137114.32.0.0/14114.32.0.1 to 114.35.255.254114.35.255.255262,142
138114.36.0.0/14114.36.0.1 to 114.39.255.254114.39.255.255262,142
139114.40.0.0/14114.40.0.1 to 114.43.255.254114.43.255.255262,142
140114.44.0.0/14114.44.0.1 to 114.47.255.254114.47.255.255262,142
141114.48.0.0/14114.48.0.1 to 114.51.255.254114.51.255.255262,142
142114.52.0.0/14114.52.0.1 to 114.55.255.254114.55.255.255262,142
143114.56.0.0/14114.56.0.1 to 114.59.255.254114.59.255.255262,142
144114.60.0.0/14114.60.0.1 to 114.63.255.254114.63.255.255262,142
145114.64.0.0/14114.64.0.1 to 114.67.255.254114.67.255.255262,142
146114.68.0.0/14114.68.0.1 to 114.71.255.254114.71.255.255262,142
147114.72.0.0/14114.72.0.1 to 114.75.255.254114.75.255.255262,142
148114.76.0.0/14114.76.0.1 to 114.79.255.254114.79.255.255262,142
149114.80.0.0/14114.80.0.1 to 114.83.255.254114.83.255.255262,142
150114.84.0.0/14114.84.0.1 to 114.87.255.254114.87.255.255262,142
151114.88.0.0/14114.88.0.1 to 114.91.255.254114.91.255.255262,142
152114.92.0.0/14114.92.0.1 to 114.95.255.254114.95.255.255262,142
153114.96.0.0/14114.96.0.1 to 114.99.255.254114.99.255.255262,142
154114.100.0.0/14114.100.0.1 to 114.103.255.254114.103.255.255262,142
155114.104.0.0/14114.104.0.1 to 114.107.255.254114.107.255.255262,142
156114.108.0.0/14114.108.0.1 to 114.111.255.254114.111.255.255262,142
157114.112.0.0/14114.112.0.1 to 114.115.255.254114.115.255.255262,142
158114.116.0.0/14114.116.0.1 to 114.119.255.254114.119.255.255262,142
159114.120.0.0/14114.120.0.1 to 114.123.255.254114.123.255.255262,142
160114.124.0.0/14114.124.0.1 to 114.127.255.254114.127.255.255262,142
161114.128.0.0/14114.128.0.1 to 114.131.255.254114.131.255.255262,142
162114.132.0.0/14114.132.0.1 to 114.135.255.254114.135.255.255262,142
163114.136.0.0/14114.136.0.1 to 114.139.255.254114.139.255.255262,142
164114.140.0.0/14114.140.0.1 to 114.143.255.254114.143.255.255262,142
165114.144.0.0/14114.144.0.1 to 114.147.255.254114.147.255.255262,142
166114.148.0.0/14114.148.0.1 to 114.151.255.254114.151.255.255262,142
167114.152.0.0/14114.152.0.1 to 114.155.255.254114.155.255.255262,142
168114.156.0.0/14114.156.0.1 to 114.159.255.254114.159.255.255262,142
169114.160.0.0/14114.160.0.1 to 114.163.255.254114.163.255.255262,142
170114.164.0.0/14114.164.0.1 to 114.167.255.254114.167.255.255262,142
171114.168.0.0/14114.168.0.1 to 114.171.255.254114.171.255.255262,142
172114.172.0.0/14114.172.0.1 to 114.175.255.254114.175.255.255262,142
173114.176.0.0/14114.176.0.1 to 114.179.255.254114.179.255.255262,142
174114.180.0.0/14114.180.0.1 to 114.183.255.254114.183.255.255262,142
175114.184.0.0/14114.184.0.1 to 114.187.255.254114.187.255.255262,142
176114.188.0.0/14114.188.0.1 to 114.191.255.254114.191.255.255262,142
177114.192.0.0/14114.192.0.1 to 114.195.255.254114.195.255.255262,142
178114.196.0.0/14114.196.0.1 to 114.199.255.254114.199.255.255262,142
179114.200.0.0/14114.200.0.1 to 114.203.255.254114.203.255.255262,142
180114.204.0.0/14114.204.0.1 to 114.207.255.254114.207.255.255262,142
181114.208.0.0/14114.208.0.1 to 114.211.255.254114.211.255.255262,142
182114.212.0.0/14114.212.0.1 to 114.215.255.254114.215.255.255262,142
183114.216.0.0/14114.216.0.1 to 114.219.255.254114.219.255.255262,142
184114.220.0.0/14114.220.0.1 to 114.223.255.254114.223.255.255262,142
185114.224.0.0/14114.224.0.1 to 114.227.255.254114.227.255.255262,142
186114.228.0.0/14114.228.0.1 to 114.231.255.254114.231.255.255262,142
187114.232.0.0/14114.232.0.1 to 114.235.255.254114.235.255.255262,142
188114.236.0.0/14114.236.0.1 to 114.239.255.254114.239.255.255262,142
189114.240.0.0/14114.240.0.1 to 114.243.255.254114.243.255.255262,142
190114.244.0.0/14114.244.0.1 to 114.247.255.254114.247.255.255262,142
191114.248.0.0/14114.248.0.1 to 114.251.255.254114.251.255.255262,142
192114.252.0.0/14114.252.0.1 to 114.255.255.254114.255.255.255262,142
193115.0.0.0/14115.0.0.1 to 115.3.255.254115.3.255.255262,142
194115.4.0.0/14115.4.0.1 to 115.7.255.254115.7.255.255262,142
195115.8.0.0/14115.8.0.1 to 115.11.255.254115.11.255.255262,142
196115.12.0.0/14115.12.0.1 to 115.15.255.254115.15.255.255262,142
197115.16.0.0/14115.16.0.1 to 115.19.255.254115.19.255.255262,142
198115.20.0.0/14115.20.0.1 to 115.23.255.254115.23.255.255262,142
199115.24.0.0/14115.24.0.1 to 115.27.255.254115.27.255.255262,142
200115.28.0.0/14115.28.0.1 to 115.31.255.254115.31.255.255262,142
201115.32.0.0/14115.32.0.1 to 115.35.255.254115.35.255.255262,142
202115.36.0.0/14115.36.0.1 to 115.39.255.254115.39.255.255262,142
203115.40.0.0/14115.40.0.1 to 115.43.255.254115.43.255.255262,142
204115.44.0.0/14115.44.0.1 to 115.47.255.254115.47.255.255262,142
205115.48.0.0/14115.48.0.1 to 115.51.255.254115.51.255.255262,142
206115.52.0.0/14115.52.0.1 to 115.55.255.254115.55.255.255262,142
207115.56.0.0/14115.56.0.1 to 115.59.255.254115.59.255.255262,142
208115.60.0.0/14115.60.0.1 to 115.63.255.254115.63.255.255262,142
209115.64.0.0/14115.64.0.1 to 115.67.255.254115.67.255.255262,142
210115.68.0.0/14115.68.0.1 to 115.71.255.254115.71.255.255262,142
211115.72.0.0/14115.72.0.1 to 115.75.255.254115.75.255.255262,142
212115.76.0.0/14115.76.0.1 to 115.79.255.254115.79.255.255262,142
213115.80.0.0/14115.80.0.1 to 115.83.255.254115.83.255.255262,142
214115.84.0.0/14115.84.0.1 to 115.87.255.254115.87.255.255262,142
215115.88.0.0/14115.88.0.1 to 115.91.255.254115.91.255.255262,142
216115.92.0.0/14115.92.0.1 to 115.95.255.254115.95.255.255262,142
217115.96.0.0/14115.96.0.1 to 115.99.255.254115.99.255.255262,142
218115.100.0.0/14115.100.0.1 to 115.103.255.254115.103.255.255262,142
219115.104.0.0/14115.104.0.1 to 115.107.255.254115.107.255.255262,142
220115.108.0.0/14115.108.0.1 to 115.111.255.254115.111.255.255262,142
221115.112.0.0/14115.112.0.1 to 115.115.255.254115.115.255.255262,142
222115.116.0.0/14115.116.0.1 to 115.119.255.254115.119.255.255262,142
223115.120.0.0/14115.120.0.1 to 115.123.255.254115.123.255.255262,142
224115.124.0.0/14115.124.0.1 to 115.127.255.254115.127.255.255262,142
225115.128.0.0/14115.128.0.1 to 115.131.255.254115.131.255.255262,142
226115.132.0.0/14115.132.0.1 to 115.135.255.254115.135.255.255262,142
227115.136.0.0/14115.136.0.1 to 115.139.255.254115.139.255.255262,142
228115.140.0.0/14115.140.0.1 to 115.143.255.254115.143.255.255262,142
229115.144.0.0/14115.144.0.1 to 115.147.255.254115.147.255.255262,142
230115.148.0.0/14115.148.0.1 to 115.151.255.254115.151.255.255262,142
231115.152.0.0/14115.152.0.1 to 115.155.255.254115.155.255.255262,142
232115.156.0.0/14115.156.0.1 to 115.159.255.254115.159.255.255262,142
233115.160.0.0/14115.160.0.1 to 115.163.255.254115.163.255.255262,142
234115.164.0.0/14115.164.0.1 to 115.167.255.254115.167.255.255262,142
235115.168.0.0/14115.168.0.1 to 115.171.255.254115.171.255.255262,142
236115.172.0.0/14115.172.0.1 to 115.175.255.254115.175.255.255262,142
237115.176.0.0/14115.176.0.1 to 115.179.255.254115.179.255.255262,142
238115.180.0.0/14115.180.0.1 to 115.183.255.254115.183.255.255262,142
239115.184.0.0/14115.184.0.1 to 115.187.255.254115.187.255.255262,142
240115.188.0.0/14115.188.0.1 to 115.191.255.254115.191.255.255262,142
241115.192.0.0/14115.192.0.1 to 115.195.255.254115.195.255.255262,142
242115.196.0.0/14115.196.0.1 to 115.199.255.254115.199.255.255262,142
243115.200.0.0/14115.200.0.1 to 115.203.255.254115.203.255.255262,142
244115.204.0.0/14115.204.0.1 to 115.207.255.254115.207.255.255262,142
245115.208.0.0/14115.208.0.1 to 115.211.255.254115.211.255.255262,142
246115.212.0.0/14115.212.0.1 to 115.215.255.254115.215.255.255262,142
247115.216.0.0/14115.216.0.1 to 115.219.255.254115.219.255.255262,142
248115.220.0.0/14115.220.0.1 to 115.223.255.254115.223.255.255262,142
249115.224.0.0/14115.224.0.1 to 115.227.255.254115.227.255.255262,142
250115.228.0.0/14115.228.0.1 to 115.231.255.254115.231.255.255262,142
251115.232.0.0/14115.232.0.1 to 115.235.255.254115.235.255.255262,142
252115.236.0.0/14115.236.0.1 to 115.239.255.254115.239.255.255262,142
253115.240.0.0/14115.240.0.1 to 115.243.255.254115.243.255.255262,142
254115.244.0.0/14115.244.0.1 to 115.247.255.254115.247.255.255262,142
255115.248.0.0/14115.248.0.1 to 115.251.255.254115.251.255.255262,142
256115.252.0.0/14115.252.0.1 to 115.255.255.254115.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses